// SetBasepara.cpp : implementation file
//

#include "stdafx.h"
#include "VCExample.h"
#include "SetBasepara.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSetBasepara dialog


CSetBasepara::CSetBasepara(CWnd* pParent /*=NULL*/)
	: CDialog(CSetBasepara::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetBasepara)
	m_iBase = 0x300;
	m_iIRQ = 0;
	//}}AFX_DATA_INIT
}


void CSetBasepara::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetBasepara)
	DDX_Text(pDX, IDC_EDIT_BASE, m_iBase);
	DDV_MinMaxUInt(pDX, m_iBase, 256, 992);
	DDX_Text(pDX, IDC_EDIT_IRQ, m_iIRQ);
	DDV_MinMaxUInt(pDX, m_iIRQ, 0, 15);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSetBasepara, CDialog)
	//{{AFX_MSG_MAP(CSetBasepara)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSetBasepara message handlers
